<!DOCTYPE html>
<html>
<title>LEGOS</title>
<meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
<link rel="stylesheet" href="legos.css">
<style>
	body,
	h1,
	h2,
	h3,
	h4,
	h5,
	h6 {
		font-family: Verdana, sans-serif;
	}
</style>
<script>
	setInterval(get_status, 1000);

    function toggle_branch(b) {
		console.log("toggle branch " + b)
		var x = new XMLHttpRequest();
		x.open("POST", "override", true);
		x.send("{ \"branch" + b + "_toggle\": true}");
		get_status()
    }

	function toggle_main_switch() {
		console.log("toggle main")
		var x = new XMLHttpRequest();
		x.open("POST", "override", true);
		x.send("{ \"enabled_toggle\": true}");
		get_status()
	}

	function get_status() {
		var x = new XMLHttpRequest();
		x.onreadystatechange = function () {
			if (x.readyState == 4 && x.status == 200) {
				var s = JSON.parse(x.responseText)
				document.getElementsByClassName('ledg1')[0].style.fill =  s.bus_1_enabled ? "lime" : ""
				document.getElementsByClassName('ledg2')[0].style.fill =  s.bus_2_enabled ? "lime" : ""
				document.getElementsByClassName('ledg3')[0].style.fill =  s.bus_3_enabled ? "lime" : ""
				document.getElementsByClassName('ledg4')[0].style.fill =  s.bus_4_enabled ? "lime" : ""
				document.getElementsByClassName('pole1')[0].style.fill = s.bus_1_enabled ? "" : "red"
				document.getElementsByClassName('pole2')[0].style.fill = s.bus_2_enabled ? "" : "red"
				document.getElementsByClassName('pole3')[0].style.fill = s.bus_3_enabled ? "" : "red"
				document.getElementsByClassName('pole4')[0].style.fill = s.bus_4_enabled ? "" : "red"

				document.getElementsByClassName('ledr1')[0].style.fill =  s.bus_1_irq ? "red" : ""
				document.getElementsByClassName('ledr2')[0].style.fill =  s.bus_2_irq ? "red" : ""
				document.getElementsByClassName('ledr3')[0].style.fill =  s.bus_3_irq ? "red" : ""
				<!--Led R4 is not visible/existing-->
				<!--document.getElementsByClassName('ledr4')[0].style.fill =  s.bus_4_irq ? "lime" : ""-->

				document.getElementById("house_overlay").style["fill-opacity"] = s.power_perc
				document.getElementById("meter_in").textContent= "Voltage: " + s.power.voltage.toFixed(2) + "V Current: " + s.power.current.toFixed(3) + "mA"

				document.getElementById("switch").style["transform"] = "rotate(" + (s.enabled ? "0" : "-35") + "deg)"
			}
		};
		x.open("GET", "status", true);
		x.send();
	}
</script>

<body>
	<!-- HEADER -->
	<header class="w3-container w3-border-bottom w3-border-orange">
		<div class="w3-row">
			<div class="w3-left">
				<h3 class="w3-opacity""><b>Substation</b></h3>
			</div>
			<div class=" w3-right">
					<button class="w3-button w3-text-orange w3-hover-opacity"
						onclick="location.href='https://legos-antenna.local';">
						<h4>←</h4>
					</button>
					<button class="w3-button w3-text-orange w3-hover-opacity"
						onclick="document.getElementById('help').style.display='block'">
						<h4>?</h4>
					</button>
			</div>
		</div>
	</header>
	<!-- HELP -->
	<div id="help" class="w3-panel w3-orange w3-display-container" style="display:none">
		<span onclick="this.parentElement.style.display='none'"
			class="w3-button w3-orange w3-large w3-display-topright">X</span>
		<p class="w3-small">The substation is an essential element for the automation of an electrical grid, which
			provides monitoring and protection functions. In case of fault, the instruments in the substation first
			identify which feeders are affected and then trip the respective switches to isolate the short-circuit.
			Manual control is possible by clicking on the powerline poles and the switch on the bottom.
		</p>

	</div>
	<!-- MAIN -->
	<div class="w3-display-container w3-animate-opacity w3-center">
		<!-- TOP -->
		<div class="w3-row w3-margin-bottom w3-padding">
			<div class="w3-left">
				<!--<svg viewBox="0 0 44.212619 90" height="80" width="44.21262">-->
					<!--<g transform="translate(-102.13915,-106.12564) scale(1)" stroke-width="1.88976378" stroke="black">-->
						<!--<path d="m 104.88033,139.37353 4.77497,-2.74118" />-->
						<!--<path d="m 143.69901,116.91352 -4.86339,2.82961" />-->
						<!--<path d="m 135.38704,108.86682 -2.74118,4.67121" />-->
						<!--<path d="m 138.83562,136.63235 4.77497,2.74118" />-->
						<!--<path d="m 113.10388,108.86682 2.74118,4.72378" />-->
						<!--<path d="m 104.79191,116.91352 4.86339,2.82961" />-->
						<!--<path d="m 141.48838,128.14352 h 4.86339" />-->
						<!--<path d="m 102.13915,128.14352 h 4.86339" />-->
						<!--<path d="m 124.24534,106.12564 v 4.88902" />-->
						<!--<path-->
							<!--d="m 128.66672,146.6244 c 0,1.51862 0.17685,1.30667 0.17685,4.06756 0,3.07193 -2.37561,4.60834 -4.59811,4.59811 -2.2225,0.0103 -4.59811,-1.52618 -4.59811,-4.59811 0,-2.76089 0.17685,-2.54894 0.17685,-4.06756"-->
							<!--style="fill:none" />-->
						<!--<path-->
							<!--d="m 119.8242,146.44743 c -0.12114,-0.91128 -0.29248,-1.81947 -0.47001,-2.71669 -0.79976,-4.64448 -4.08315,-8.28143 -5.59057,-12.66267 -1.18608,-2.98298 -1.02564,-6.51248 0.6081,-9.2978 1.93545,-3.48423 5.87434,-5.65016 9.87348,-5.65269 3.99914,0.003 7.93803,2.1687 9.87348,5.65293 1.63374,2.78532 1.79418,6.31482 0.6081,9.29779 -1.50742,4.38125 -4.79081,8.0182 -5.59057,12.66268 -0.17753,0.89722 -0.34836,1.80541 -0.46949,2.71657 z"-->
							<!--style="fill:rgb(255, 225, 0);fill-opacity:0.4;" id="bulb" onclick="loop_brightness()" />-->
					<!--</g>-->
				<!--</svg>-->
			</div>
		</div>

		<!-- MIDDLE -->

		<svg width="90vw" height="60vh" version="1.1" viewBox="0 -2 770 692" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
			<defs>
				<style>
					<![CDATA[
					path {
						fill-opacity: 1;
						stroke: #000000;
						stroke-dasharray: none;
						stroke-opacity: 1;
						stroke-width: 4;
						stroke-linejoin: "round";
						stroke-linecap: "round";
					}
					:root {
					 --pole-color: #adadad;
					 --led-r: #860000;
					 --led-g: #3a6b00;
					}
					.pole {
							transition: fill 0.5s;
					}
					.pole:hover {
							fill: #ffd451;
					}
					.pole1 { fill: var(--pole-color); }
					.pole2 { fill: var(--pole-color); }
					.pole3 { fill: var(--pole-color); }
					.pole4 { fill: var(--pole-color); }
					.ledr1 { fill: var(--led-r); }
					.ledr2 { fill: var(--led-r); }
					.ledr3 { fill: var(--led-r); }
					.ledr4 { fill: var(--led-r); }
					.ledg1 { fill: var(--led-g); }
					.ledg2 { fill: var(--led-g); }
					.ledg3 { fill: var(--led-g); }
					.ledg4 { fill: var(--led-g); }
					]]>
				</style>
			</defs>
			<path d="m112 226.7c-31.99 19.93-57.91 43.12-76.72 68.44-9.798 13.19-17.67 26.96-23.46 41.15l56.03 14.64c12.99 3.371 27.94-.397 33.41-8.408l68.09-100.5-57.44-15.21" fill="#30302b"/>
			<path d="m751 321c-30.62-58.27-96.3-107-183.4-136.1l-48.28 56.46 164.8 146.8 66.9-67.15" fill="#32312d"/>
			<path d="m591.9 229.8-17.28 8.08m17.28-8.08 66.64 54.48-12.6 34.84-31.83-22.48-39.49-58.77" fill="#9c9e9f"/>
			<path d="m120.6 450.7-47.68 22.32 105.6 86.4 9.52-4.4 27.36-26.8-94.8-77.52v1.12" fill="#646567"/>
			<path d="m188.1 599.6c-19.53-6.99-34.47-13.7-51.43-22.71-61.05-32.41-103.1-73.61-123.3-119.9l58.29-27.32c11.27-5.305 27.25-3.934 35.73 3.051l113.6 92.91-23.12 10.88-1.2 1.68-1.2 1.6-1.2 1.68-1.28 1.68-1.2 1.76-1.2 1.68-1.28 1.68-1.189 1.676z" fill="#32312d"/>
			<path d="m119.7 268.7v-1.84l-56.48 82.88 38.42 3.277 45.74-78.88-27.68-7.28" fill="#9c9e9f"/>
			<path d="m655.7 391.1v-24.32" fill="#3f3f38"/>
			<path d="m665.5 386.2" fill="#3f3f38"/>
			<path d="m667.5 385.1-2.4 1.12v-3.12m6.72-3.2-6.72 3.2 2.4 2 6.8-3.2z" fill="#3f3f38"/>
			<path d="m602.1 357.6 5.12 4.24 20.4-9.52 21.2 17.36 6.8-3.2-26.4-21.6-27.12 12.72" fill="#544d45"/>
			<path d="m648.5 389.7-.363 6.19-20.84-17.47v-26.16l21.2 17.36z" fill="#3f3f38"/>
			<path d="m648.5 369.7 6.8-3.2v24.32l-7.163 5.15z" fill="#464645"/>
			<path d="m641 389.4v-6.08l-2.72-2.24" fill="none"/>
			<path d="m637.4 386.5v-1.36l3.6-1.76" fill="none"/>
			<path d="m637.4 385.1-2.72-2.24v1.36" fill="none"/>
			<path d="m634.7 382.9 3.6-1.76" fill="none"/>
			<path d="m646.2 393.6v-1.44l3.6-1.68v3.12" fill="none"/>
			<path d="m646.2 392.2-2.72-2.24v1.44" fill="none"/>
			<path d="m627.7 352.3v26.16l20.84 17.47-15.78 8.369-20.98-20.71-4.468-21.77 20.4-9.52" fill="#4a4b46"/>
			<path d="m643.4 389.9 3.6-1.68 2.72 2.24" fill="none"/>
			<path d="m625.2 288.4v-1.92" fill="none"/>
			<g fill="#716d62">
				<path d="m74.46 473.5v1.12m104.3 84.16v.88m35.76-30.72-94.16-76.96-45.92 21.52 104.3 85.28 9.28-4.32"/>
				<path d="m156.8 526.1-2.56-2.16 22.96-10.72 2.56 2.08z"/>
				<path d="m139.4 511.8-2.64-2.16 23.04-10.72 2.56 2.16z"/>
				<path d="m122.1 497.6-2.64-2.08 22.96-10.8 2.64 2.16z"/>
				<path d="m104.6 483.4-2.56-2.16 22.96-10.72 2.64 2.08z"/>
				<path d="m174.2 540.3-2.64-2.16 22.96-10.8 2.64 2.16z"/>
				<path d="m180.8 550.1-5.28-4.24 6.88-3.28 5.28 4.32z"/>
				<path d="m199.6 535.9-1.12-.88 6.88-3.2 1.12.88"/>
				<path d="m163.3 535.8-5.2-4.24 6.88-3.2 5.2 4.24z"/>
				<path d="m186.3 525.1-5.2-4.32 6.88-3.2 5.2 4.24z"/>
				<path d="m146 521.6-5.2-4.24 6.88-3.2 5.2 4.24z"/>
				<path d="m168.9 510.9-5.2-4.24 6.88-3.28 5.2 4.32z"/>
				<path d="m128.6 507.4-5.28-4.32 6.96-3.2 5.2 4.24z"/>
				<path d="m151.6 496.6-5.2-4.24 6.88-3.2 5.2 4.24z"/>
				<path d="m111.2 493.2-5.2-4.24 6.88-3.28 5.2 4.32z"/>
				<path d="m134.1 482.5-5.2-4.32 6.88-3.2 5.28 4.24z"/>
				<path d="m93.82 479-5.2-4.24 6.88-3.2 5.2 4.24z"/>
				<path d="m116.8 468.2-5.2-4.24 6.88-3.28 5.2 4.24z"/>
				<path d="m118.5 460.7v6.72"/>
				<path d="m95.5 471.5v6.72"/>
				<path d="m135.8 475v6.72"/>
				<path d="m112.9 485.7v6.72"/>
				<path d="m153.3 489.2v6.64"/>
				<path d="m130.3 499.9v6.72"/>
				<path d="m170.6 503.4v6.72"/>
				<path d="m147.7 514.2v6.72"/>
				<path d="m188 517.6v6.72"/>
				<path d="m165 528.4v6.64"/>
				<path d="m205.3 531.8v1.44"/>
				<path d="m182.4 542.6v6.72"/>
				<path d="m194.5 530.7v-3.36"/>
				<path d="m125 473.8v-3.28"/>
				<path d="m142.4 488.1v-3.36"/>
				<path d="m159.8 502.3v-3.36"/>
				<path d="m177.2 516.6v-3.36"/>
			</g>
			<g fill="#5a5750">
				<path d="m146.9 275.1-26.64-6.96-55.86 82.16 30.75.54"/>
				<path d="m101.3 342-13.36-3.44 1.68-2.48 13.36 3.52"/>
				<path d="m112.5 325.6-13.36-3.52 1.68-2.4 13.36 3.44"/>
				<path d="m123.7 309.2-13.36-3.52 1.68-2.48 13.36 3.52"/>
				<path d="m134.9 292.7-13.36-3.44 1.68-2.48 13.36 3.52"/>
				<path d="m77.5 347 3.36-4.96 8 2.08-3.36 4.96z"/>
				<path d="m88.7 330.6 3.36-4.96 8 2.08-3.36 4.96z"/>
				<path d="m99.9 314.1 3.36-4.88 8 2.08-3.36 4.88z"/>
				<path d="m111.1 297.7 3.36-4.96 8 2.08-3.36 4.96z"/>
				<path d="m122.3 281.3 3.36-4.96 7.92 2.08-3.36 4.96z"/>
				<path d="m125.7 276.3v5.76"/>
				<path d="m114.5 292.7v5.84"/>
				<path d="m103.3 309.2v5.76"/>
				<path d="m92.06 325.6v5.84"/>
				<path d="m80.86 342v5.84"/>
				<path d="m123.2 289.7v-2.88"/>
				<path d="m112 306.2v-2.96"/>
				<path d="m100.8 322.6v-2.88"/>
				<path d="m89.58 339v-2.88"/>
			</g>
			<g fill="#5d5a53">
				<path d="m657.7 285-65.92-53.92-16.48 7.68 62.72 74.08c-.116-.963 1.696 7.512 19.68-27.84z"/>
				<path d="m608.5 265.8 4.88-2.32 2.64 2.16-4.96 2.32"/>
				<path d="m626.5 280.1 4.96-2.32 2.56 2.16-4.88 2.32"/>
				<path d="m648.5 292 1.68 1.36"/>
				<path d="m649.5 294.9-11.52 5.36"/>
				<path d="m637.5 296.9 10.48-4.88"/>
				<path d="m591.3 251.7 4.96-2.32 2.64 2.08-4.96 2.32"/>
				<path d="m589.7 239.5 5.28 4.32-6.96 3.2-5.2-4.24z"/>
				<path d="m607.2 253.7 5.2 4.24-6.88 3.28-5.28-4.32z"/>
				<path d="m624.5 268 5.2 4.24-6.88 3.2-5.2-4.24z"/>
				<path d="m641.5 282.1 5.2 4.32-6.88 3.2-5.2-4.24z"/>
				<path d="m637.5 308.5 2.32 1.92"/>
				<path d="m641.5 282.1v6.72"/>
				<path d="m624.5 268v6.72"/>
				<path d="m607.2 253.7v6.72"/>
				<path d="m589.7 239.5v6.72"/>
				<path d="m596.3 252.7v-3.36"/>
				<path d="m648.5 295.3v-3.36"/>
				<path d="m631.5 281.1v-3.36"/>
				<path d="m613.5 266.9v-3.36"/>
			</g>
			<path d="m155.1 153.9-7.04 3.36m375.2 5.04 44.32 69.84 65.08 53.22c1.437 1.083 3.266 1.994 5.344 2.647l-76.9 36.05 86.32 70.56 86.8-40.64-21.08-17.29c3.925-.465 7.586-1.469 10.71-2.906l33.59-15.75c11.36 88.95-61.02 174-186 218.6l-7.528-37.16c-1.724-8.659-14.46-14.8-28.46-13.7l-236.3 18.24c-13.96 1.063-23.87 8.96-22.14 17.66l7.515 37.31c-30.31-5.253-59.44-12.84-86.71-22.57l48.29-22.61c11.21-5.267 13.42-15.18 4.909-22.15l-143.7-117.6c-8.475-6.986-24.46-8.357-35.73-3.051l-48.53 22.74c-7.811-18.84-11.77-38.19-11.77-57.6l56.03 14.64c12.99 3.371 27.94-.397 33.41-8.408l68.32-100.2v-59.04l-45.89-12.04c14.27-8.694 29.61-16.63 45.89-23.76l44.31-16.69c24.54-7.853 50.41-14 77.14-18.32l44.08-5.399c33.37-2.81 67.2-2.814 100.6-.012l27.17 2.917c17.76 2.328 35.23 5.455 52.22 9.41l-33.67 15.78c-11.17 5.227-13.38 15.14-4.949 22.11l12.66 10.4c4.732 3.841 13.64 4.601 19.87 1.689z" fill="#2b2a28"/>
			<path d="m265.9 435.5 18.48 15.12-51.6 24.16-18.48-15.12 51.6-24.16v5.2"/>
			<path d="m334.5 498.4-8-39.76 30.4-2.32 8 39.68z"/>
			<path d="m181.3 365.1 14.24 11.68v5.36l-47.36 22.24-18.48-15.12 51.6-24.16v5.2"/>
			<path d="m468 487.8-8-39.68 30.4-2.4 8 39.76z"/>
			<path d="m180.1 340.2-59.52-15.52 11.92-17.44 59.52 15.52z"/>
			<path d="m245 242.7-5.2 7.6v-8.96z"/>
			<path d="M 388.632 453.948 C 379.376 461.131 380.624 471.524 391.505 477.772 C 402.385 484.024 419.209 484.024 430.089 477.772 C 440.969 471.52 442.225 461.132 432.962 453.948"/>
			<path d="M 195.532 403.648 C 186.276 410.831 187.524 421.224 198.405 427.472 C 209.285 433.724 226.109 433.724 236.989 427.472 C 247.869 421.22 249.125 410.832 239.862 403.648"/>
			<path d="m496.8 219.4 26.48-12.4v23.76l-8 3.76"/>
			<path d="m169.1 274.2c-7.285 5.651-8.232 13.49-2.381 19.75 5.849 6.258 17.3 9.656 28.84 8.56"/>
			<path d="M 388.632 467.348 C 386.959 468.646 385.592 470.084 384.571 471.619"/>
			<path d="m243.9 421.6c-1.021-1.535-2.388-2.974-4.061-4.271"/>
			<path d="m132.5 307.2v7.44"/>
			<path d="m490.4 445.7v20.96"/>
			<path d="m240.7 418.1v7.12"/>
			<path d="m567.6 251 3.587 2.747c3.572 4.842 3.48 10.37-.381 15.13-3.861 4.756-11 8.171-19.4 9.285m19.79-24.41v14.56"/>
			<path d="m 299.4,562.7 236.2,-18.3 c 14,-1.1 26.7,5.0 28.5,13.7 l 9.0,44.7 0.0,-49.6 -0.2,-2.0 -0.2,-2.1 -0.2,-2.1 -0.16,-2 -0.24,-2.08 -0.16,-2.08 -0.24,-2 -0.1555,-2.0 -7.5,-37.196 c -1.728,-8.655 -14.464,-14.797 -28.464,-13.696 l -236.24,18.24 c -13.968,1.064 -23.872,8.96 -22.144,17.656 l 7.514,37.304 0.725,7.521 c 1.696,-0.949 3.581,-1.746 5.598,-2.376 2.6,-0.808 5.395,-1.342 8.304,-1.567" fill="#1a1917"/>
			<path d="M 148.2 157.18 C 135.48 163.326 123.4 169.964 112.024 177.044" fill="none" stroke="#000"/>
			<path d="m111.9 177.1v49.68l57.32 15.32-.118-58.92-45.9-12.02-1.376.741-1.36.72-1.44.72-1.44.8-1.36.72-1.44.72-1.44.8-1.44.72" fill="#1e1e1c"/>
			<path d="m573 553.1c133.4-46.23 210-137 195.1-231.1l-1.368-.509-1.36-.48-1.28-.48-2.72-.96-1.28-.48-1.36-.48-1.269-.498c11.37 88.94-61.01 174-186 218.6" fill="#302f2b"/>
			<path d="m694.2 286.4-18.08 52.96 11.04 9.04 6.826-20c4.257-12.39 7.026-25.32 7.684-35.91z" fill="#1f1f1d"/>
			<path d="m687.2 354.5-11.04-9.04v-6.08l11.04 9.04z" fill="#0f0f0d"/>
			<path d="m667.1 299.1-18.08 52.96-19.2-15.68 8.186-23.86c4.764-3.463 10.33-13.24 14.49-25.43z" fill="#1f1f1d"/>
			<path d="m667.1 299.1 27.12-12.72 7.474 6.064c.719-3.219-.667-6.459-3.849-9.03l-1.68-1.36c-6.601-5.413-19.07-6.479-27.84-2.39l-15.78 7.436z" fill="#32312d"/>
			<path d="m617.7 505.6c8.754-4.093 10.48-11.8 3.853-17.2-6.626-5.408-19.09-6.473-27.85-2.38-8.754 4.093-10.48 11.8-3.853 17.2 6.626 5.408 19.09 6.473 27.85 2.38" fill="none"/>
			<path d="m561.1 324.1 41.06 33.47 27.68-12.24v-8.96l8.16-23.84v-24.48z" fill="#1f1f1d"/>
			<path d="m676.8 380.9-27.76-22.72v-6.08l-19.2-15.68v8.96l25.84 21.12v24.32z" fill="#1b1a18"/>
			<path d="M 623.42 501.337 C 620.03 497.216 613.18 494.62 605.7 494.62 C 598.22 494.62 591.364 497.216 587.98 501.337" fill="none"/>
			<path d="m614.9 506.7c-.207-3.062-4.243-5.478-9.152-5.478s-8.944 2.416-9.152 5.478" fill="none"/>
			<path d="m649 358.2 27.12-12.72" fill="none" stroke="#000"/>
			<path d="m769.9 449.9c0 84.92-72.99 163.4-191.6 206.1v-55.12c-1.77.635-3.544 1.262-5.341 1.86v-49.64c122.7-42.54 197.3-122.1 196.9-208z" fill="#30302e"/>
			<path d="m504.7 551-173.8 13.44 7.44 36.8 173.8-13.44-7.44-36.8v5.68" fill="#646567"/>
			<path d="m192.3 656.2 1.04-.48" fill="none"/>
			<path d="m286.1 575.5-.16-2.08-.24-2.08-.32-4.16-.24-2.08-.16-2-.24-2.08-.16-2" fill="none"/>
			<path d="m280.2 624.1c2.005.365 3.974.7 5.914 1.022v-49.64c-34.39-5.702-67.38-14.3-98.01-25.57v49.68c1.777.638 3.54 1.276 5.284 1.917v55.12c27.36 9.703 56.52 17.3 86.81 22.59z" fill="#21201e"/>
			<path d="m223.6 561.5c20.13 5.759 41.06 10.44 62.51 14.01l-.194-2.043-.24-2.08-.32-4.16-.24-2.08-.16-2-.24-2.08-.154-2.008c-30.3-5.26-59.44-12.85-86.72-22.57l-1.21 1.695-1.2 1.6-1.2 1.68-1.28 1.68-1.2 1.76-1.2 1.68-1.28 1.68-1.177 1.672c11.53 4.233 23.37 8.095 35.5 11.56z" fill="#31302e"/>
			<path d="m11.47 336.2-1.44.72-1.36.72-1.44.8-1.36.72-1.44.72-1.44.8-2.88 1.44c-.3888 19.32 3.017 38.58 10.13 57.37.9855 2.603 2.042 5.197 3.17 7.781l1.2-1.76 1.28-1.68 3.6-5.04 1.28-1.68 1.2-1.68 1.203-1.689c-7.811-18.84-11.77-38.19-11.77-57.6" fill="#3c3b37"/>
			<path d="m197.9 536.5 48.29-22.61c11.21-5.267 13.42-15.18 4.909-22.15l-143.7-117.6c-8.475-6.986-24.46-8.357-35.73-3.051l-48.53 22.75-1.203 1.689-1.2 1.68-1.28 1.68-3.6 5.04-1.28 1.68-1.2 1.76.0511 49.56 58.34-27.36c11.27-5.305 27.25-3.934 35.73 3.051l113.6 92.91" fill="#262523"/>
			<path d="m11.36 336.2-1.44.72-1.36.72-1.44.8-1.36.72-1.44.72-1.44.8-2.88 1.44" fill="none"/>
			<path d="m193.4 601.5c-19.51-6.99-38.91-15.37-55.95-24.23-61.08-31.77-105.2-74.77-125.3-123.3v55.12c25.75 62.04 91.74 115.5 181.3 147.5z" fill="#272624"/>
			<path d="m-1e-5 394.8v28.36l.04121 27.16c.1526 19.85 4.108 39.22 11.77 58.07v-55.12c.5508 1.223 1.068 2.447 1.601 3.667m-13.41-62.14.05988-52.6c-.3888 19.32 3.017 38.58 10.13 57.37.9855 2.603 2.042 5.197 3.17 7.781l.0511 49.56" fill="#4b4a46"/>
			<path class="ledr3" d="m194.1 382.9v-2m-45.2 21.2-13.68-11.2 45.2-21.12 13.68 11.12-45.2 21.2v1.92"/>
			<path class="ledr2" d="m330.9 462 22.48-1.76 7.04 34.8-22.48 1.76-7.04-34.8v18.64"/>
			<path fill="#000000" d="M 563.20518,296.48923 579.9,309.92 627.62877,286.82862 611.87675,273.7771 Z"/>
			<path class="ledr1" d="m579.9 308-13.68-11.2 45.2-21.2 13.76 11.2-45.28 21.2v1.92"/>
			<path class="ledg1" d="m500.1 222.2 23.2-10.88v17.6l-9.52 4.48z"/>
			<path class="ledg2" d="m471.4 487.5v-1.36m22.56-1.76-22.56 1.76-7.04-34.8 22.56-1.76 7.04 34.8v1.36"/>
			<path class="ledg3" d="m278.8 453.2v-1.92m-45.2 23.12v-1.92m31.52-32.4 13.68 11.2-45.2 21.2-13.68-11.2z"/>
			<path class="ledg4" d="m186.9 330.3v-5.12m-61.04-.72 8.8-12.96 52.24 13.68-8.8 12.88-52.24-13.6v1.52"/>
			<path d="m555.6 15.92 3.44 1.68" fill="#cfd1d2"/>
			<g fill="#c7c5b9">
				<path d="m257.7 293.1 5.92-12.08 125 102.3v16.88z"/>
				<path d="m388.6 361v16.96l-131-107.1 5.92-12.08z"/>
				<path d="m257.7 248.6 5.92-12.08 125 102.2v16.96z"/>
				<path d="m257.7 226.4 131 107.1v-10.72l-127.2-104z"/>
			</g>
			<path d="m261.4 218.8 8.16-5.52 119 97.44v12.08z" fill="#dbd8c8"/>
			<path id="house" d="m269.6 213.3 3.68-16.72 73.68-34.56 40.48-14.48 19.12 1.6 135 110.5-3.76 16.8-104.9 49.12-44.32-14.8z" fill="#d7cfc2"/>
			<path d="m266.1 198 7.2-1.44 73.68-34.56 40.48-14.48-.96-.88-39.52 13.44-12.16 5.68z" fill="#77786f"/>
			<path d="m261.4 218.8 4.64-20.8 7.2-1.44-3.68 16.72z" fill="#9b998e"/>
			<path d="m410.8 148.8-4.24.32 135 110.5 8.16 2.8z" fill="#78756e"/>
			<path d="m433.8 335.3-2.646-10.35 1.766.59 104.9-49.12 7.28 6.72z" fill="#d7d4c5"
		 />
			<g fill="#a5a397">
				<path d="m434.9 344.5-1.04-9.28 111.3-52.16 3.28 8.24z"/>
				<path d="m434.9 366.8-1.76-14.8 110-51.44 5.28 13.04z"/>
				<path d="m434.9 389.1-1.6-14.8 109.8-51.52 5.28 13.04z"/>
				<path d="m434.9 411.3-1.76-14.8 110-51.52 5.28 13.12z"/>
			</g>
			<g fill="#959289">
				<path d="m433.3 352 1.6-7.44 113.5-53.2-5.28 9.2-109.8 51.44"/>
				<path d="m432.9 374.2 1.92-7.44 113.5-53.2-5.28 9.2z"/>
				<path d="m433.3 396.5 1.6-7.44 113.5-53.28-5.28 9.2z"/>
				<path d="m433.3 418.8 1.6-7.44 113.5-53.2-5.28 9.2-109.8 51.44"/>
			</g>
			<path d="m541.6 259.6-3.76 16.8 7.28 6.72 4.64-20.72z" fill="#dfd7ca"/>
			<g fill="#b6b4a8">
				<path d="m545.1 283.1 3.28 8.24 5.04-22.56-3.68-6.4z"/>
				<path d="m548.4 313.6 5.04-22.56-3.6-6.16-1.44 6.48-5.28 9.2z"/>
				<path d="m543.1 322.8 5.28-9.2 1.44-6.48 3.6 6.16-5.04 22.56z"/>
				<path d="m543.1 345 5.28-9.2 1.44-6.4 3.6 6.16-5.04 22.56z"/>
			</g>
			<g fill="#76746c">
				<path d="m263.6 236.5-5.92-10.16 131 107.1v5.28z"/>
				<path d="m257.7 248.6 5.92 10.16 125 102.2v-5.28z"/>
				<path d="m257.7 270.9 5.92 10.16 125 102.3v-5.36z"/>
				<path d="m257.7 293.1 5.92 10.16 125 102.3v-5.36z"/>
			</g>
			<g fill="#52524c">
				<path d="m257.7 293.1 5.92-12.08-2.32-4z"/>
				<path d="m257.7 270.9 5.92-12.08-2.32-4z"/>
				<path d="m257.7 248.6 5.92-12.08-2.32-4z"/>
				<path d="m257.7 226.4 3.76-7.6 4.64-20.8-3.36 5.84z"/>
			</g>
			<path id="house_overlay" style="fill:#ff0000;stroke:none;fill-opacity:0%; transition: fill-opacity 0.5s; " d="m 388.62,405.56 -125,-102.3 -5.92,-10.16 3.6,-16.08 -3.7,-6.16 3.7,-16.04 -3.6,-6.22 3.6,-16.08 -3.6,-6.12 5.04,-22.56 3.36,-5.84 80.88,-37.92 39.52,-13.44 0.94,0.9 19.12,1.6 4.24,-0.34 138.92,113.62 3.7,6.36 -3.58,16.1 3.6,6.16 -3.62,16.08 3.6,6.16 -3.6,16.12 3.6,6.16 -5.02,22.6 -5.28,9.2 -109.8,51.44 -2.106,-93.87 -42.634,-14.17 z"/>
			<path d="m433.3 418.8 1.6-7.44-1.6-14.8 1.6-7.44-1.6-14.8 1.6-7.52-1.6-14.8 1.6-7.44-1.04-9.28-2.646-10.35z" fill="#282725"/>
			<g fill="#312d2b">
				<path d="M 346.932 252.548 C 344.463 254.463 342.669 256.678 341.665 259.048 M 346.932 243.672 C 337.628 250.888 338.942 261.328 349.933 267.568 C 360.925 273.807 377.837 273.71 388.645 267.348"/>
				<path d="M 290.532 206.348 C 288.063 208.263 286.269 210.478 285.265 212.848"/>
				<path d="m453 305.5c-1.004-2.37-2.798-4.585-5.267-6.5m-14.77 19.02c9.224-1.543 16.58-5.86 19.55-11.48 2.977-5.624 1.178-11.8-4.784-16.42"/>
				<path d="m473.4 223.4c-1.004-2.37-2.798-4.585-5.267-6.5m-20.39 19.6c10.56-.409 19.86-4.422 24.15-10.41 4.287-5.986 2.837-12.95-3.76-18.07"/>
				<path d="m340.1 213.2c-1.004-2.37-2.798-4.585-5.267-6.5m-44.33-8.88c-9.256 7.183-8.008 17.58 2.873 23.82 10.88 6.252 27.7 6.252 38.58 0s12.14-16.64 2.872-23.82"/>
			</g>
			<g class="pole pole1" cursor="pointer" onclick="toggle_branch(1)">
				<path d="m 523.3,34.16 v 206.65159 l 26.42,21.60841 3.7,6.36 -2.014,9.382 c 0.15159,-0.70616 7.67278,0.57675 16.214,-5.881 v -243.9"/>
				<path d="M 539.86 23.6 C 539.86 25.5216 542.385 27.08 545.5 27.08 C 548.615 27.08 551.14 25.5216 551.14 23.6"/>
				<path d="M 524.644 32.5712 C 527.782 38.0808 536.204 41.7552 545.62 41.7232 C 555.044 41.6907 563.396 37.9608 566.436 32.4272 C 569.476 26.8968 566.535 20.7792 559.108 17.1872"/>
				<path d="M 530.212 27.4608 C 533.078 31.788 540.34 34.3584 547.836 33.6976 C 555.332 33.037 561.14 29.3152 561.932 24.6656 C 562.723 20.016 558.294 15.6336 551.18 14.0256"/>
				<path d="m468.1 119.5v110.3c-11.66 5.789-25.64 11.72-44.32-.234v-110.1"/>
				<path d="M 440.36 114.7 C 440.36 116.622 442.885 118.18 446 118.18 C 449.115 118.18 451.64 116.622 451.64 114.7"/>
				<path d="M 432.392 108.284 C 424.947 111.887 422.016 118.028 425.084 123.564 C 428.156 129.102 436.556 132.82 446.004 132.82 C 455.452 132.82 463.852 129.102 466.924 123.564 C 469.996 118.026 467.061 111.892 459.616 108.284"/>
				<path d="M 440.318 105.124 C 432.796 106.825 428.334 111.613 429.734 116.484 C 431.134 121.354 437.99 124.9 445.998 124.9 C 454.006 124.9 460.862 121.351 462.262 116.484 C 463.662 111.614 459.2 106.828 451.678 105.124"/>
				<path d="m456.1 107 3.44 1.68"/>
				<path d="m435.8 107-3.52 1.68"/>
				<path d="m452.3 98.8-.08.08v.08l-.24.24-.08.16v.08l-.08.08-.08.16v.16l-.08.16v14.78c0 1.902-2.525 3.46-5.64 3.46s-5.64-1.558-5.68-3.46v-17.84c.04-1.601.704-3.11 1.835-4.159l99.44-91.12c1.684-1.53 4.07-1.924 6.117-1.023 2.047.9007 3.369 2.926 3.369 5.182v17.84c0 1.902-2.525 3.46-5.64 3.46s-5.64-1.558-5.68-3.46l-.28-4.42-.16-.04h.08l.16.08h.08l.08.08h.08l.32.32v.08l.52-1.16z"/>
			</g>
			<path d="m423.9 152.3c-1.522 1.373-2.576 2.922-3.099 4.554" fill="none"/>
			<path d="m299.2 562.6c-2.909.226-5.716.759-8.304 1.568-2.017.63-3.902 1.427-5.577 2.732l.182 2.436.16 2.08.24 2.08.211 2.024.017 49.62c97 16.1 200.1 8.18 287.6-22.25l-9.821-44.81c-1.724-8.659-14.46-14.8-28.46-13.7l-236.3 18.26"
				fill="#31302c"/>
			<path d="m280.2 624.1v55.12c99.64 17.24 208.5 8.759 298.1-23.22v-55.12c-89.58 31.98-198.5 40.46-298.1 23.22z" fill="#21201e"/>
			<path d="m667.1 299.1-18.08 52.96v6.08l27.12-12.72v-6.08l18.08-52.96z" fill="#21201e"/>
			<path d="m523.3 164.4v-42.03c-2.684-1.242-5.568-2.27-8.677-3.057l-33.67 15.78c-11.17 5.227-13.38 15.14-4.949 22.11l12.66 10.4c4.732 3.841 13.64 4.601 19.87 1.689z" fill="#1c1b19"/>
			<g fill="#7c756a">
				<path d="m339.3 600.8 171.5-13.28-7.12-35.36-171.5 13.28z"/>
				<path d="m332.2 565.4v5.68"/>
				<path d="m454.1 583-4.32.32-3.52-17.68 4.24-.32z"/>
				<path d="m425.5 585.2-4.32.32-3.6-17.68 4.32-.32z"/>
				<path d="m396.9 587.4-4.24.4-3.6-17.76 4.32-.32z"/>
				<path d="m368.3 589.6-4.24.32-3.6-17.68 4.32-.32z"/>
				<path d="m482.6 580.7-4.24.4-3.6-17.76 4.24-.32z"/>
				<path d="m499.6 582.2-8.56.64-1.04-5.28 8.56-.72z"/>
				<path d="m496.1 564.5-8.64.64-1.04-5.36 8.56-.64z"/>
				<path d="m471 584.3-8.56.72-1.12-5.36 8.64-.64z"/>
				<path d="m467.4 566.6-8.56.64-1.04-5.28 8.56-.64z"/>
				<path d="m442.5 586.6-8.56.64-1.12-5.28 8.56-.64z"/>
				<path d="m438.9 568.9-8.56.64-1.04-5.28 8.56-.72z"/>
				<path d="m413.9 588.8-8.64.64-1.04-5.28 8.56-.72z"/>
				<path d="m410.3 571-8.56.72-1.12-5.36 8.56-.64z"/>
				<path d="m385.3 591-8.56.72-1.04-5.36 8.56-.64z"/>
				<path d="m381.7 573.3-8.64.64-1.04-5.28 8.56-.64z"/>
				<path d="m356.7 593.2-8.56.64-1.12-5.28 8.64-.64z"/>
				<path d="m353.1 575.5-8.56.64-1.04-5.28 8.56-.72z"/>
				<path d="m510.9 587.5v.72"/>
				<path d="m352.1 570.2v5.44"/>
				<path d="m355.7 587.9v5.36"/>
				<path d="m380.6 568v5.36"/>
				<path d="m384.2 585.7v5.36"/>
				<path d="m409.2 565.8v5.44"/>
				<path d="m412.8 583.4v5.44"/>
				<path d="m437.8 563.5v5.44"/>
				<path d="m441.3 581.3v5.36"/>
				<path d="m466.4 561.4v5.36"/>
				<path d="m470 579v5.36"/>
				<path d="m494.9 559.1v5.44"/>
				<path d="m498.5 576.8v5.44"/>
				<path d="m479 581v-18"/>
				<path d="m364.8 589.8v-17.92"/>
				<path d="m393.3 587.7v-18"/>
				<path d="m421.9 585.4v-17.92"/>
				<path d="m450.5 583.3v-18"/>
				<path d="m339.3 600.8v.72"/>
			</g>
			<g class="pole pole4" cursor="pointer" onclick="toggle_branch(4)">
				<path d="m213.4 52.24v243.8c-15.02 8.408-30.5 9.072-44.32-.038v-243.8z"/>
				<path d="M 185.66 47.4 C 185.66 49.3216 188.185 50.88 191.3 50.88 C 194.415 50.88 196.94 49.3216 196.94 47.4"/>
				<path d="M 177.692 41.084 C 168.34 45.6104 166.412 53.908 173.317 59.892 C 180.223 65.8736 193.509 67.412 203.429 63.3776 C 213.349 59.344 216.373 51.1776 210.284 44.8576"/>
				<path d="M 185.618 37.824 C 179.177 39.2808 174.866 43.044 174.778 47.28 C 174.696 51.5152 178.862 55.344 185.242 56.896 C 191.622 58.448 198.898 57.4015 203.514 54.268 C 208.13 51.1344 209.13 46.5656 206.024 42.788"/>
				<path d="m181.1 39.68-3.52 1.68"/>
				<path d="m290.5 219.7v-110.3h44.24v110.3c-12.13 8.896-31.61 8.696-44.24 0z"/>
				<path d="M 299.092 98.184 C 291.647 101.787 288.716 107.928 291.784 113.464 C 294.856 119.002 303.256 122.72 312.704 122.72 C 322.152 122.72 330.552 119.002 333.624 113.464 C 336.696 107.926 333.761 101.792 326.316 98.184"/>
				<path d="M 307.018 95.024 C 299.496 96.7248 295.034 101.513 296.434 106.384 C 297.834 111.254 304.69 114.8 312.698 114.8 C 320.706 114.8 327.562 111.251 328.962 106.384 C 330.362 101.514 325.9 96.728 318.378 95.024"/>
				<path d="m223.4 51.36 83.04 39.14h.08l.08.08v.08h.08l.08.08v.08l.16.16v.24l.08.08v13.66c0 1.902 2.525 3.46 5.64 3.46s5.64-1.558 5.64-3.46v-17.84c0-2.204-1.262-4.192-3.218-5.111l-121.4-57.2c-1.726-.8336-3.772-.7055-5.404.329-1.631 1.034-2.618 2.831-2.658 4.782v17.84c.04 1.902 2.565 3.46 5.68 3.46s5.64-1.558 5.64-3.46l-.04-7.26h.04v-.16h.08v-.08l.16-.16v-.08h.08l.08-.08.16-.08.16-.16h.08l.08-.08h.24l.08-.08h.08v-.04z"/>
			</g>
			<g class="pole pole3" cursor="pointer" onclick="toggle_branch(3)">
				<path d="m239.8 425.9v-243.9h-44.32v243.9c18.89 10.54 32.81 6.682 44.32 0z"/>
				<path d="M 204.092 170.784 C 196.647 174.387 193.716 180.528 196.784 186.064 C 199.856 191.602 208.256 195.32 217.704 195.32 C 227.152 195.32 235.552 191.602 238.624 186.064 C 241.696 180.526 238.761 174.392 231.316 170.784"/>
				<path d="M 212.018 167.524 C 204.496 169.225 200.034 174.013 201.434 178.884 C 202.834 183.754 209.69 187.3 217.698 187.3 C 225.706 187.3 232.562 183.751 233.962 178.884 C 235.362 174.014 230.9 169.228 223.378 167.524"/>
				<path d="m391.9 265.7-.669-110.2h-44.32v110.4c16.89 10.13 33.74 7.273 44.99-.225z"/>
				<path d="M 355.492 144.284 C 348.047 147.887 345.116 154.028 348.184 159.564 C 351.256 165.102 359.656 168.82 369.104 168.82 C 378.552 168.82 386.952 165.102 390.024 159.564 C 393.096 154.026 390.161 147.892 382.716 144.284"/>
				<path d="M 363.418 141.124 C 355.896 142.825 351.434 147.613 352.834 152.484 C 354.234 157.354 361.09 160.9 369.098 160.9 C 377.106 160.9 383.962 157.351 385.362 152.484 C 386.762 147.614 382.3 142.828 374.778 141.124"/>
				<path d="m216.7 154.2c-2.685.473-4.655 2.818-4.695 5.578v17.76c.04 1.901 2.565 3.46 5.68 3.46s5.64-1.559 5.64-3.46v-10.86l.08-.16v-.32l.08-.08v-.16l.08-.16.08-.08v-.16l.08-.08.08-.16.4-.4.08-.16.16-.08.08-.08.16-.08.08-.08h.08l.16-.08.08-.08h.16l.08-.08h.16l.08-.08h.16l137.5-24.26.23 11.28c.04 1.901 2.565 3.46 5.68 3.46 3.116 0 5.64-1.559 5.64-3.46v-17.84c0-1.686-.736-3.266-2.011-4.338s-2.958-1.525-4.613-1.241z"/>
			</g>
			<g class="pole pole2" cursor="pointer" onclick="toggle_branch(2)">
				<path d="m403.4 201.8v110.2c24.23 17.02 48.39-3.157 44.32.09v-110.3"/>
				<path d="M 422.019 199.589 C 423.705 200.443 426.038 200.622 428.01 200.046 C 429.982 199.471 431.24 198.246 431.24 196.9"/>
				<path d="M 411.992 190.584 C 403.76 194.569 401.144 201.584 405.713 207.408"/>
				<path d="m416.5 214.2c10.21 2.85 22.24.522 28.02-5.422 5.783-5.945 3.494-13.63-5.33-17.9"/>
				<path d="M 418.809 206.196 C 424.319 207.73 430.745 207.284 435.569 205.032 C 440.39 202.78 442.833 199.082 441.94 195.392 C 441.046 191.701 436.959 188.605 431.284 187.32"/>
				<path d="m414.3 189.8c-4.319 2.509-6.13 6.254-4.743 9.816"/>
				<path d="m435.7 189.2 3.44 1.68"/>
				<path d="m414.3 189.8-2.32 1.12"/>
				<path d="m388.6 232.4v243.8c19.46 12.06 36.14 4.974 44.32 0v-243.8"/>
				<path d="M 397.192 221.184 C 389.747 224.787 386.816 230.928 389.884 236.464 C 392.956 242.002 401.356 245.72 410.804 245.72 C 420.252 245.72 428.652 242.002 431.724 236.464 C 434.796 230.926 431.861 224.792 424.416 221.184"/>
				<path d="M 405.16 227.5 C 405.16 229.422 407.685 230.98 410.8 230.98 C 413.915 230.98 416.44 229.422 416.44 227.5"/>
				<path d="M 405.118 217.924 C 397.596 219.625 393.134 224.413 394.534 229.284 C 395.934 234.154 402.79 237.7 410.798 237.7 C 418.806 237.7 425.662 234.151 427.062 229.284 C 428.462 224.414 424 219.628 416.478 217.924"/>
				<path d="m400.7 219.8-3.52 1.68"/>
				<path d="m420.9 219.8 3.52 1.68"/>
				<path d="m431.3 197.3v-17.84l-14.8 31.92v16.54c0 1.902-2.525 3.46-5.64 3.46s-5.64-1.558-5.64-3.46v-17.84c0-.868.191-1.706.56-2.465l14.76-30.6c1.182-2.414 3.812-3.679 6.376-3.093 2.565.586 4.384 2.867 4.384 5.498l-9.224 20.53c1.685.854 4.018 1.033 5.99.458 1.972-.576 3.231-1.8 3.231-3.147"/>
			</g>
			<path fill="#1c1b19" d="m 683.9933,363.63328 9.8945,-4.66273 c 4.8494,-2.26929 7.7044,-5.81252 7.6946,-9.65008 l -0.01,-57.33334 -0.1858,1.76967 c -0.6452,10.35304 -3.3535,22.99493 -7.5088,35.11178 L 687.2,348.42 v 5.94453 l -8.8288,4.07513 c -5.3872,2.5792 -6.9809,6.94862 -3.9696,10.69036 0.9484,-1.15274 2.3172,-2.1588 3.9696,-2.90774 z"/>
			<path fill="#1e1e1c" d="m 690.1724,359.37043 -5.9445,17.44248 48.9641,-22.9177 -20.581,-16.93406 c -0.5377,1.05007 -1.1048,2.09134 -1.6719,3.09741 -7.6164,13.51303 -15.2523,20.66406 -20.6689,19.20823"/>
			<path fill="#21201e" d="m 675.44,370.98 8.24,6.72 -6.88,3.2 -27.76,-22.72 27.12,-12.72 11.04,9.04 -9.025,4.16762 c -6.2382,2.92748 -7.4704,8.42167 -2.7373,12.27923"/>
		</svg>

		<!-- BOTTOM -->
		<div class="w3-cell-row w3-margin-top">
			<div class="w3-cell w3-cell-bottom" style="width:30%; text-align: right">
				<img src="images/tower.svg" alt="Power grid" style="height: 20vh">
			</div>
			<div class="w3-cell w3-cell-mid" style="width:40%">
				<svg viewBox="0 5 100 40" height="110" width=100% preserveAspectRatio="none">
					<style>
line, path {
	stroke: black;
	stroke-width: 2.5;
	vector-effect: non-scaling-stroke;
}
					</style>
					<defs>
					<style>
						<![CDATA[
							line {
								transition: all 0.5s;
								stroke-width: 3;
								transform: rotate(0deg);
								transform-origin: 35px 35px;
							}
							hoverable:hover {
								stroke: #ffd451;
							}
						]]>
					</style>
					<marker id="arrowhead"  markerUnits="userSpaceOnUse" viewBox="0 0 20 10" refX="5" refY="5" markerWidth="7" markerHeight="6" orient="auto-start-reverse">
					<path d="M 0 0 L 10 5 L 0 10 z" />
					</defs>
					<g class="hoverable" cursor="pointer" onclick="toggle_main_switch()">
					<rect x="0" y="0" width="100%" height="100%" fill="transparent" stroke-width: 0; />
					<line x1="0" y1="35" x2="35" y2="35" />
					<line id="switch" style="transition: all 0.5s" x1="35" y1="35" x2="65" y2="35" />
					<line x1="65" y1="35" x2="100" y2="35" />
					<path d="M 40 10 q 10 5 15 30" fill="none" marker-start="url(#arrowhead)" marker-end="url(#arrowhead)"/>
					</g>
				</svg>
				<b id="meter_in">Monitoring</b>
			</div>
			<div class="w3-cell w3-cell-bottom" style="width:30%; text-align: left">
				<img src="images/tower.svg" alt="Power grid" style="height: 20vh">
			</div>
		</div>
	</div>
	<!-- FOOTER -->
	<footer class="w3-container w3-border-top w3-border-orange w3-padding">
		<div class="w3-row">
			<div class="w3-left">
				<p class="w3-opacity w3-small">© ACS 2024</p>
			</div>
			<div class="w3-right">
				<img src="images/legos_logo.svg" alt="Logo" style="height:25px">
			</div>
		</div>
	</footer>

</body>

</html>
